CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000368CEGUICore library (CEGUIBase)public2010-05-28 07:482010-06-11 12:16
Reporter13k 
Assigned ToCrazyEddie 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.7.1 
Target Version0.7.2Fixed in VersionMercurial: default branch 
Summary0000368: configure fails to find external tolua++ on Debian Linux
DescriptionDebian has a particularly-named tolua++ library which configure doesn't look for.

I have the package libtolua++5.1-dev [1] and as you can see from the file list, the library is named "tolua++5.1". configure only looks for tolua++.
Also, configure won't include Lua LIBS or CPPFLAGS when trying to find tolua++, so I think "-ltolua++" checks will always fail.

Attached is a patch against CEGUI-0.7.1 tarball (I didn't have time to do it against svn trunk, so if this is already fixed, please ignore the bug report) that fixes both problems above.

[1] http://packages.debian.org/squeeze/amd64/libtolua++5.1-dev/filelist [^]
Additional InformationYou might be willing to re-run ./bootstrap and update the configure script in the repository.
TagsNo tags attached.
Attached Filespatch file icon CEGUI-0.7.1-acinctolua.patch [^] (1,265 bytes) 2010-05-28 07:48 [Show Content]
patch file icon CEGUI-0.7.1-acinctolua-2.patch [^] (1,695 bytes) 2010-05-28 09:30 [Show Content]

- Relationships

-  Notes
(0000463)
13k (reporter)
2010-05-28 09:32

I forgot to update LIBS to use the tolua++ library name found by AC.
The second patch fixes this, and is actually tested and works for me (./configure --enable-toluacegui && make with no errors)
(0000464)
CrazyEddie (administrator)
2010-05-30 08:51

Thanks, I'll check it out. Any changes made will be targeted at a 0.7.2 release, though will be available earlier via either SVN or an inter-release snapshot package.

I won't update already issued release packages (in this case 0.7.1) because doing that is like opening pandora's box.
(0000467)
CrazyEddie (administrator)
2010-06-11 12:16

These issues should be fixed in branches/v0-7 r2556.

2nd patch was used with some slight modifications, mainly to not pollute the main CFLAGS and LIBS vars with things not needed globally.

- Issue History
Date Modified Username Field Change
2010-05-28 07:48 13k New Issue
2010-05-28 07:48 13k File Added: CEGUI-0.7.1-acinctolua.patch
2010-05-28 09:30 13k File Added: CEGUI-0.7.1-acinctolua-2.patch
2010-05-28 09:32 13k Note Added: 0000463
2010-05-30 08:46 CrazyEddie Status new => assigned
2010-05-30 08:46 CrazyEddie Assigned To => CrazyEddie
2010-05-30 08:47 CrazyEddie Category => Core library (CEGUIBase)
2010-05-30 08:47 CrazyEddie Target Version 0.8.3 => 0.7.2
2010-05-30 08:51 CrazyEddie Note Added: 0000464
2010-06-11 12:16 CrazyEddie Note Added: 0000467
2010-06-11 12:16 CrazyEddie Status assigned => resolved
2010-06-11 12:16 CrazyEddie Fixed in Version 0.8.3 => Mercurial: default branch
2010-06-11 12:16 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker